Bug 516276 - update to current release 4.8.1
update to current release 4.8.1
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: collectd (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-07 14:22 EDT by Florian La Roche
Modified: 2010-11-04 07:07 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 541744 (view as bug list)
Environment:
Last Closed: 2010-11-04 07:07:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
collectd diff (12.80 KB, patch)
2009-08-07 14:24 EDT, Florian La Roche
no flags Details | Diff
collectd patch to compile on RHEL5 and update to collectd 4.8.1 (11.79 KB, patch)
2009-11-15 10:55 EST, Florian La Roche
no flags Details | Diff

  None (edit)
Description Florian La Roche 2009-08-07 14:22:24 EDT
Description of problem:

collectd 4.5 is getting quite a bit old. Attached a first stab at
updating it to a current version, liboping might as well be better
moved into its own rpm package.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Florian La Roche 2009-08-07 14:24:19 EDT
Created attachment 356695 [details]
collectd diff

collectd.diff
Comment 2 Alan Pevec 2009-08-10 14:14:23 EDT
yes, it's better to package liboping as a separate RPM, I just wonder are there any other usages outside of collectd?
Comment 3 Florian La Roche 2009-08-11 05:24:42 EDT
Hmmm, until recently the source was duplicated within the collectd source repo
and a separate liboping repo. As liboping is not used anywhere else in Fedora,
maybe keeping it within one rpm is still the best from the packaging side.
(Well, it is no change from the existing rpm at least.)

regards,

Florian La Roche
Comment 4 Alex Lancaster 2009-09-02 07:18:26 EDT
Meanwhile, can somebody please fix the broken build of 4.6.2 in rawhide:

http://koji.fedoraproject.org/koji/getfile?taskID=1644967&name=build.log

Looks an unpackaged file issue, which has been around since it was updated about 3 months ago:

error: Installed (but unpackaged) file(s) found:
   /usr/include/collectd/client.h
   /usr/include/collectd/lcc_features.h
   /usr/lib64/collectd/bind.so
   /usr/lib64/collectd/curl.so
   /usr/lib64/collectd/match_regex.so
   /usr/lib64/collectd/match_timediff.so
   /usr/lib64/collectd/match_value.so
   /usr/lib64/collectd/openvpn.so
   /usr/lib64/collectd/target_notification.so
   /usr/lib64/collectd/target_replace.so
   /usr/lib64/collectd/target_set.so
   /usr/lib64/libcollectdclient.la
   /usr/lib64/libcollectdclient.so
   /usr/lib64/libcollectdclient.so.0
   /usr/lib64/libcollectdclient.so.0.0.0
   /usr/lib64/pkgconfig/libcollectdclient.pc

I would do it if it was obvious, but it looks like the spec explicitly lists all .so files, and I'm not sure what goes where.  It's causing broken deps in rawhide for a few days now:

Broken deps for i386
----------------------------------------------------------
	collectd-mysql-4.5.3-2.fc11.i586 requires libcrypto.so.8
	collectd-mysql-4.5.3-2.fc11.i586 requires libssl.so.8
	collectd-nut-4.5.3-2.fc11.i586 requires libcrypto.so.8
	collectd-nut-4.5.3-2.fc11.i586 requires libssl.so.8
	collectd-snmp-4.5.3-2.fc11.i586 requires libcrypto.so.8
Comment 5 Alan Pevec 2009-09-10 18:22:49 EDT
(In reply to comment #4)
> Meanwhile, can somebody please fix the broken build of 4.6.2 in rawhide:

I have pushed patches to CVS, it builds fine on Intel but the same code fails on ppc: http://koji.fedoraproject.org/koji/taskinfo?taskID=1649969

Any PPC experts around who can have a look?
Comment 6 Alex Lancaster 2009-09-15 15:59:23 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > Meanwhile, can somebody please fix the broken build of 4.6.2 in rawhide:
> 
> I have pushed patches to CVS, it builds fine on Intel but the same code fails
> on ppc: http://koji.fedoraproject.org/koji/taskinfo?taskID=1649969
> 
> Any PPC experts around who can have a look?  

Probably best to ask on fedora-devel-list or #fedora-devel on IRC.
Comment 7 Richard Shade 2009-11-06 12:58:54 EST
collectd should really be started via collectdmon, should I open another ticket for that, or can that be added during this rebuild?
Comment 8 Florian La Roche 2009-11-08 13:29:46 EST
collectd has very good upstream releases and moving rawhide to
the current stable 4.8.1 release would be great for Fedora.

regards,

Florian La Roche
Comment 9 Richard W.M. Jones 2009-11-09 04:39:52 EST
OK we got several new bugs here.  Please open separate BZs
for each one.
Comment 10 Alan Pevec 2009-11-09 08:41:01 EST
comment 4 is fixed in F-12, issue I mention in comment 5 was "solved" by disabling ppc:
* Fri Sep 11 2009 Tom "spot" Callaway <tcallawa@redhat.com> 4.6.5-1
- update to 4.6.5
- disable ppc/ppc64 due to compile error

comment 7 should indeed be filed as a separate BZ

comment 8 can be handled here, summary is updated.
Few months back, I tried to apply Florian's patch from comment 1 but I couldn't make it use liboping from Source1.
Florian, I see you have commented it out:
+# --with-liboping="%{buildroot}/usr"
Did this build for you in mock? I think that, to package this properly, we'll have to create a new package for liboping, like Debian.
Comment 11 Alan Pevec 2009-11-09 08:49:49 EST
Speaking of Debian, what do you think about Debian's collectd packaging[1]: if I understood correctly they package *all* plugins and then use Suggests for libraries required by plugins.
RPM doesn't have Suggests so I'll keep sub-packaging plugins which bring additional dependencies, keeping plugins with glibc dependency only in the main package.
IMHO we don't need to package all plugins, I'll rely on users' feedback (through BZ) to let us know which plugins should be enabled.

[1] http://mailman.verplant.org/pipermail/collectd/2009-September/003210.html
Comment 12 Florian La Roche 2009-11-15 10:55:06 EST
Created attachment 369606 [details]
collectd patch to compile on RHEL5 and update to collectd 4.8.1
Comment 13 Florian La Roche 2009-11-15 10:57:36 EST
The above patch updates the current Fedora-Rawhide rpm to collectd-4.8.1
and makes sure it compiles on RHEL5/CentOS5.
Maybe some of the new collectd modules should move into a new subrpm
and once liboping has further use cases within Fedora it could also move
into its own rpm package.

regards,

Florian La Roche
Comment 14 Bug Zapper 2009-11-16 06:17:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Alan Pevec 2009-11-25 09:23:39 EST
(In reply to comment #12)
> Created an attachment (id=369606) [details]
> collectd patch to compile on RHEL5 and update to collectd 4.8.1  

This fails to build, it's the same issue with installing liboping in %build:
http://koji.fedoraproject.org/koji/getfile?taskID=1830317&name=build.log
Comment 16 Alan Pevec 2009-11-26 18:19:44 EST
To move this forward, I've decided to push 4.8.1 to Rawhide with disabled ping plugin (bug 541744) and work on packaging liboping in Fedora.
Comment 17 Bug Zapper 2010-11-04 06:34:32 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.